Name:       uio-app-sync
Version:    0.16
Release:    1%{?dist}
Summary:    Maintenance of rsynced programs at UiO

Group:      System Environment/Base
License:    GPLv3+

URL:        http://www.uio.no/tjenester/it/maskin/linux/hjelp/programmer/vitprog.html
Source0:    app-sync
Source1:    uio-app-sync.cron
Source2:    app-sync.sh
Source3:    app-sync.csh
BuildArch:  noarch

Requires: rsync
Requires: crontabs

%description
This package contains "app-sync", a utility that lets you install UiO
programs which are distributed via rsync. It also contains a cron job
that updates the programs daily.

%prep
%setup -q -c -T

%build

%install
install -d -m 0755 %{buildroot}%{_sbindir}
install -d -m 0755 %{buildroot}%{_sysconfdir}/cron.daily
install -d -m 0755 %{buildroot}%{_sysconfdir}/profile.d
install -p -m 0755 %{SOURCE0} %{buildroot}%{_sbindir}
install -p -m 0755 %{SOURCE1} %{buildroot}%{_sysconfdir}/cron.daily
install -p -m 0644 %{SOURCE2} %{buildroot}%{_sysconfdir}/profile.d
install -p -m 0644 %{SOURCE3} %{buildroot}%{_sysconfdir}/profile.d


%files
%{_sbindir}/app-sync
%{_sysconfdir}/cron.daily/uio-app-sync.cron
%{_sysconfdir}/profile.d/app-sync.sh
%{_sysconfdir}/profile.d/app-sync.csh


%changelog
* Wed Oct 30 2019 Trond Hasle Amundsen <t.h.amundsen@usit.uio.no> - 0.16-1
- Add support for RHEL8

* Mon Aug 29 2016 Trond Hasle Amundsen <t.h.amundsen@usit.uio.no> - 0.15-1
- Choose different server in TSD (patch from Petter Reinholdtsen)

* Fri Jun 13 2014 Trond Hasle Amundsen <t.h.amundsen@usit.uio.no> - 0.14-2
- Fix spec file bug

* Thu Jun 12 2014 Trond Hasle Amundsen <t.h.amundsen@usit.uio.no> - 0.14-1
- Support rhel7
- Add requires for rsync, crontabs

* Thu Mar 13 2014 Trond Hasle Amundsen <t.h.amundsen@usit.uio.no> - 0.13-2
- Remove bash_completion

* Tue Mar 11 2014 Trond Hasle Amundsen <t.h.amundsen@usit.uio.no> - 0.13-1
- Add new options "list-installed" and "list-available"
- Add bash_completion for bash profile script

* Sat Mar  1 2014 Trond Hasle Amundsen <t.h.amundsen@usit.uio.no> - 0.12-1
- Support for Mathematica in profile scripts
- Support applications that aren't available everywhere

* Thu Feb 27 2014 Trond Hasle Amundsen <t.h.amundsen@usit.uio.no> - 0.11-2
- Support for xite in profile scripts

* Mon Feb 24 2014 Trond Hasle Amundsen <t.h.amundsen@usit.uio.no> - 0.11-1
- Added fedora support

* Sun Feb 23 2014 Trond Hasle Amundsen <t.h.amundsen@usit.uio.no> - 0.10-1
- Improved list output

* Sat Feb 22 2014 Trond Hasle Amundsen <t.h.amundsen@usit.uio.no> - 0.9-3
- Support for TeX Live in profile scripts

* Thu Feb  6 2014 Trond Hasle Amundsen <t.h.amundsen@usit.uio.no> - 0.9-2
- Do not set MANPATH in profile scripts

* Thu Jan 30 2014 Trond Hasle Amundsen <t.h.amundsen@usit.uio.no> - 0.9-1
- Make removing applications more generic

* Thu Jan 30 2014 Trond Hasle Amundsen <t.h.amundsen@usit.uio.no> - 0.8-3
- Added shell environment for Envi

* Wed Jan 29 2014 Trond Hasle Amundsen <t.h.amundsen@usit.uio.no> - 0.8-2
- Added shell profile files

* Thu Nov 14 2013 Trond Hasle Amundsen <t.h.amundsen@usit.uio.no> - 0.8-1
- Enhancements in app-sync to support distro specific apps
- Small fixes in spec

* Fri Jul 26 2013 Trond Hasle Amundsen <t.h.amundsen@usit.uio.no> - 0.7-1
- Change rsync server from login.uio.no to app-sync.uio.no
- Remove unnecessary macros in specfile
- Fix URL in RPM

* Thu Mar  8 2012 Trond Hasle Amundsen <t.h.amundsen@usit.uio.no> - 0.6-1
- Don't use '-u' option with rsync

* Thu Feb 23 2012 Trond Hasle Amundsen <t.h.amundsen@usit.uio.no> - 0.5-1
- Support for Intel compilers
- Remove unnecessary spec macros

* Mon Aug 29 2011 Trond Hasle Amundsen <t.h.amundsen@usit.uio.no> - 0.4-5
- New build in Koji

* Wed Aug 17 2011 Trond Hasle Amundsen <t.h.amundsen@usit.uio.no> - 0.4-4
- Fixed typo in description
- Updated summary

* Wed Aug 17 2011 Trond Hasle Amundsen <t.h.amundsen@usit.uio.no> - 0.4-3
- Bugfix in uio-app-sync.cron

* Wed Aug 17 2011 Trond Hasle Amundsen <t.h.amundsen@usit.uio.no> - 0.4-2
- Bugfix in app-sync script

* Wed Aug 17 2011 Trond Hasle Amundsen <t.h.amundsen@usit.uio.no> - 0.4-2
- Added cron script in cron.daily
- Spec file rewritten to not use tar.gz source

* Tue May 10 2011 Trond Hasle Amundsen <t.h.amundsen@usit.uio.no> - 0.3-1
- Include symlink for 'mhelp' for Maple under /usr/bin

* Tue May 10 2011 Trond Hasle Amundsen <t.h.amundsen@usit.uio.no> - 0.2-1
- Don't complain during update if /opt/app-sync doesn't exist
- Option '--quiet' suppresses output to stdout when used with update

* Tue Feb  9 2011 Trond Hasle Amundsen <t.h.amundsen@usit.uio.no> - 0.1-1
- Initial build
